%define qtdir /usr/lib/qt-1.44
%define	version 0.2.4
%define kdename kapm

Name: %{kdename}
Summary: Advanced Power Management utility
Version: %{version}
Release: 2
Source:  %{name}-%{version}.tar.gz
Patch0: kapm-0.2.4-fixmoc.patch
Group: Applications/System
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}

%description
Advanced Power Management dock applet for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .fixmoc

%build
export QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

